<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>
instr 6                            ; toot6.orc
   ifunc = p11                     ; select basic waveform
   irel = .01                      ; set vibrato release
   idel1 = p3 - (p10 * p3)         ; calculate initial delay
   isus   = p3 - (idel1- irel)     ; calculate remaining dur
   iamp = ampdb(p4)
   iscale = iamp * .333            ; p4=amp
   inote = cpspch(p5)              ; p5=freq       

   k3     linseg    0, idel1, p9, isus, p9, irel, 0   ; p6=attack time
   k2     oscil     k3, p8, 1                ; p7=release time       
   k1     linen     iscale, p6, p3, p7       ; p8=vib rate
   a3     oscil     k1, inote*.999+k2, ifunc ; p9=vib depth   
          a2   oscil     k1, inote*1.001+k2, ifunc    ; p10=vib delay (0-1)
   a1     oscil     k1, inote+k2, ifunc
     out  a1 + a2 + a3

endin

</CsInstruments>
<CsScore>
   f1 0 2048 10 1                                           ; Sine
   f2 0 2048 10 1 .5 .3 .25 .2 .167 .14 .125 .111           ; Sawtooth
   f3 0 2048 10 1 0  .3  0   .2  0  .14  0   .111           ; Square
   f4 0 2048 10 1 1 1 1 .7 .5 .3 .1                         ; Pulse

; ins  strt   dur   amp  frq  atk  rel  vibrt   vibdpth  vibdel  waveform(f)
   i6     0    2    86   8.00 .03  .7   6    9    .8   1
   i6     3    2    86   8.02 .03  .7   6    9    .8   2
   i6     6    2    86   8.04 .03  .7   6    9    .8   3
   i6     9    3    86   8.05 .03  .7   6    9    .8   4

 e
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>0</x>
 <y>0</y>
 <width>0</width>
 <height>0</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
